Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.view
Class DefaultHighlighterFactory

    java.lang.Object
      jpicedt.graphic.view.DefaultHighlighterFactory

All Implemented Interfaces:
  HighlighterFactory, PicObjectConstants, ViewConstants

public class DefaultHighlighterFactory
extends Object
implements HighlighterFactory, ViewConstants, PicObjectConstants

This is the default factory used to create a Highlighter for a given Element.

Since:
  jPicEdt 1.4
Version:
  $Id: DefaultHighlighterFactory.java,v 1.10.2.1 2007/09/02 11:56:29 reynal Exp $
Author:
  Sylvain Reynal

Nested Class Summary
`class` | `DefaultHighlighterFactory.AbstractCurveHighlighter` a Highlighter for any concrete implementation of jpicedt.graphic.model.AbstractCurve.
`class` | `DefaultHighlighterFactory.CircleHighlighter` a Highlighter for rendering circles.
`class` | `DefaultHighlighterFactory.CompositeHighlighter` an Highlighter for a BranchElement
`class` | `DefaultHighlighterFactory.DefaultHighlighter` Default implementation of the Highlighter interface.
`class` | `DefaultHighlighterFactory.EllipseHighlighter` a Highlighter for PicEllipse's.
`class` | `DefaultHighlighterFactory.PsCurveHighlighter` a Highlighter for PsCurve.
`class` | `DefaultHighlighterFactory.SmoothPolygonHighlighter` a Highlighter for SmoothPolygon.
`class` | `DefaultHighlighterFactory.TextHighlighter` a Highlighter for TextEditable's.

Field Summary
`static Color` | `GLOBAL_HIGHLIGHTING_COLOR`
`static Color` | `LOCAL_HIGHLIGHTING_COLOR`

Fields inherited from interface jpicedt.graphic.view.ViewConstants
`BARBELL_SIZE, CLICK_DISTANCE`

Fields inherited from interface jpicedt.graphic.model.PicObjectConstants
`ARROW_GLOBAL_SCALE_LENGTH, ARROW_GLOBAL_SCALE_WIDTH, ARROW_INSET_SCALE, ARROW_LENGTH_SCALE, ARROW_WIDTH_LINEWIDTH_SCALE, ARROW_WIDTH_MINIMUM_MM, BRACKET_LENGTH_SCALE, CROSSHATCH, CROSSHATCH_FILLED, DASH_OPAQUE, DASH_TRANSPARENT, DASH1, DASH2, DASH3, DASHED, DIMEN, DOT_SEP, DOT_SEP1, DOT_SEP2, DOT_SEP3, DOTTED, DOUBLE_COLOR, DOUBLE_LINE, DOUBLE_SEP, FILL_COLOR, FILL_STYLE, HATCH_ANGLE, HATCH_COLOR, HATCH_SEP, HATCH_WIDTH, HLINES, HLINES_FILLED, INNER, LEFT_ARROW, LINE_COLOR, LINE_STYLE, LINE_WIDTH, MIDDLE, NONE, OUTER, OVER_STRIKE, OVER_STRIKE_COLOR, OVER_STRIKE_WIDTH, POLYDOTS_ANGLE, POLYDOTS_CIRCLE, POLYDOTS_DISK, POLYDOTS_PENTAGON, POLYDOTS_PENTAGON_FILLED, POLYDOTS_PLUS, POLYDOTS_SCALE_H, POLYDOTS_SCALE_V, POLYDOTS_SIZE_LINEWIDTH_SCALE, POLYDOTS_SIZE_MINIMUM_MM, POLYDOTS_SQUARE, POLYDOTS_SQUARE_FILLED, POLYDOTS_STYLE, POLYDOTS_SUPERIMPOSE, POLYDOTS_TRIANGLE, POLYDOTS_TRIANGLE_FILLED, PS_POINT, PST_CUSTOM, RBRACKET_LENGTH_SCALE, RIGHT_ARROW, SHADOW, SHADOW_ANGLE, SHADOW_COLOR, SHADOW_SIZE, SOLID, TBAR_WIDTH_LINEWIDTH_SCALE, TBAR_WIDTH_MINIMUM_MM, TEXT_BOX_CIRCLE, TEXT_BOX_NO_FRAME, TEXT_BOX_OVAL, TEXT_BOX_RECTANGLE, TEXT_FRAME, TEXT_HALIGN_CENTER, TEXT_HALIGN_LEFT, TEXT_HALIGN_RIGHT, TEXT_HOR_ALIGN, TEXT_ROTATION, TEXT_VALIGN_BASELINE, TEXT_VALIGN_BOTTOM, TEXT_VALIGN_CENTER, TEXT_VALIGN_TOP, TEXT_VERT_ALIGN, VLINES, VLINES_FILLED`

Constructor Summary
`DefaultHighlighterFactory()`

Method Summary
`Highlighter` | `createHighlighter(Element element)`
`protected Stroke` | `createStroke(double scale)` Returns a Stroke object suited for painting hightlighter's stroke, e.g.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOCAL_HIGHLIGHTING_COLOR

    public static final Color LOCAL_HIGHLIGHTING_COLOR

### GLOBAL_HIGHLIGHTING_COLOR

    public static final Color GLOBAL_HIGHLIGHTING_COLOR

Constructor Detail

### DefaultHighlighterFactory

    public DefaultHighlighterFactory()

Method Detail

### createHighlighter

    public Highlighter createHighlighter(Element element)

  Specified by:
    `createHighlighter` in interface `HighlighterFactory`
  Returns:
    a Highlighter for the given Element Current implementation returns a View appropriate for the following elements :
    - PicEllipse -> EllipseHighlighter ;
    - PicCircleFrom3Points -> CircleHighlighter ;
    - BranchElement -> CompositeHighlighter ;
    - PicParallelogram -> ParallelogramHighlighter ;
    - PicText -> TextHighlighter ;
    - other -> DefaultHighlighter

### createStroke

    protected Stroke createStroke(double scale)

  Returns a Stroke object suited for painting hightlighter's stroke, e.g. tangents.

  Parameters:
    `scale` - The current scale factor from model to screen for the Graphics2D context ; this may be used to scale down line thickess, etc... so that lines/rectangle/... appear with the same length on the screen whatever the scale factor that's set to the graphic context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org